#
# spec file for package perl-Unicode-String (Version 2.09)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         perl-Unicode-String
Version:      2.09
Release:      2.1
Requires:     perl = %{perl_version}
Autoreqprov:  on
Group:        Development/Libraries/Perl
License:      Artistic License
URL:          http://cpan.org/modules/by-module/Unicode/
Summary:      String of Unicode characters (UCS2/UTF16)
Source:       Unicode-String-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
A Unicode::String object represents a sequence of Unicode characters.
The Unicode Standard is a fixed-width, uniform encoding scheme for
written characters and text. This encoding treats alphabetic
characters, ideographic characters, and symbols identically, which
means that they can be used in any mixture and with equal facility. 
Unicode is modeled on the ASCII character set, but uses a 16-bit
encoding to support full multilingual text.



Authors:
--------
    Gisle Aas <gisle@aas.no>

%prep
%setup -n Unicode-String-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Unicode
%{perl_vendorarch}/auto/Unicode
/var/adm/perl-modules/%{name}

%changelog
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan  4 2006 anicka@suse.cz
- update to 2.09
* Tue Oct  4 2005 dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 mjancar@suse.cz
- update to 2.07
- use $RPM_OPT_FLAGS
- fix filelist
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Mon Jul 29 2002 mls@suse.de
- Fixed neededforbuild for perl-5.8.0
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Wed Aug 15 2001 rvasice@suse.cz
- initial package release (version 2.06)
